# Invoices operations
Source: https://www.desktopaccountingapi.com/docs/api/reference/operations/tags/invoices/

Invoices that bill customers for goods or services.

- [List invoices](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoiceslist.md): `GET /v1/quickbooks-desktop/invoices`
- [Create an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicescreate.md): `POST /v1/quickbooks-desktop/invoices`
- [Retrieve an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesretrieve.md): `GET /v1/quickbooks-desktop/invoices/{id}`
- [Update an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesupdate.md): `POST /v1/quickbooks-desktop/invoices/{id}`
- [Delete an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesdelete.md): `DELETE /v1/quickbooks-desktop/invoices/{id}`
- [Void an invoice](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdinvoicesvoid.md): `POST /v1/quickbooks-desktop/invoices/{id}/void`
